Embedding layers does not work for projects saved as QGZ

2018-11-12 09:25 AM - A. Egberts

Status: Open

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.7(master) Regression?: No

Operating System: Windows 10  Qgis 3.4.1 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28280

Description

I try to embed a layer from a QGS file made in Qgis 3.14. layer is not loading, or not shown.

When I try to embed the same layer form a QGS file made with 2.18, I get that layer well!

What is going wrong?

History

#1 - 2018-11-12 12:33 PM - Giovanni Manghi

- Category changed from Virtual Layers to Project Loading/Saving

- Status changed from Open to Feedback

what if you save the QGIS 3 project as qgs and not as qgz?

#2 - 2018-11-12 02:24 PM - A. Egberts

Giovanni Manghi wrote:

what if you save the QGIS 3 project as qgs and not as qgz?

Yes thats a work arround! But if I want to add a layer form a older qgz file, I can choose it, but not add it!

#3 - 2018-11-12 03:45 PM - Giovanni Manghi

- Subject changed from Embedding layers in qgis 3.4.1 form version 3 is not working, from version 2 is working! to Embedding layers does not work for 

projects saved as QGZ

- Priority changed from High to Normal

- Status changed from Feedback to Open

#4 - 2019-02-25 09:58 AM - matteo ghetta

- Affected QGIS version changed from 3.4.1 to 3.7(master)

confirmed also on 3.7: not working with qgz, working with qgs. If there is not a simple fix, what about adding a warning message in the meanwhile?
